petsc-3.4.2 2013-07-02

# PetscMallocGetCurrentUsage

gets the current amount of memory used that was PetscMalloc()ed

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMallocGetCurrentUsage(PetscLogDouble *space)

Not Collective

### Output Parameters

space -number of bytes currently allocated

### See Also

PetscMallocDump(), PetscMallocDumpLog(), PetscMallocGetMaximumUsage(), PetscMemoryGetCurrentUsage(),
PetscMemoryGetMaximumUsage()

Level:intermediate
Location:src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages